<?php session_start(); ?>
<!DOCTYPE html>
<html id="html">
	<head>
		<meta charset="utf-8" />
        <title>Finalisation Commande</title>
		<link rel="stylesheet" type="text/css" href="style/style.css">
		<script type="text/javascript" src="script/scripts.js"></script>
		<script type="text/javascript" src="script/jsweetalert.js"></script>
		<link rel="stylesheet" type="text/css" href="style/style_sweetalert.css">
		<?php Include('script/rotation.php'); ?>
	</head>

	<body onload="retourne()"><!-- Il faut ajouter l'apelle a la fonction retourne au chargement de la page pour eviter un bug d'appui sur le bouton -->
		<?php
			error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
			Include('../database.params.inc.php');
			$link = pg_connect("host=$machine user=$user password=$pwd dbname=$db")or die("Erreur de Connection !<br />".pg_last_error()) ;

			if( !isset($_SESSION["client"]))
				header ("URL= index.php");
			$soiree=$_SESSION["soiree"];
		?>
		<div id="entete">
			<img src="img/accueil.png" class="bouton_entete" onclick="self.location.href='index.php'">
			<img src="img/retour.png" class="bouton_entete" onclick="javascript:history.go(-1)">
			<img src="img/rotation.png" class="bouton_entete" onclick="retourne()">
			<p id="titre">
				<!-- Titre de la page affichee dans l'entete -->
				Finalisation Commande
			</p>
			<img src="img/aide.png" class="bouton_entete_help" onclick="swal('Aide', 'Attendez le serveur :)','info');">
		</div>
		<div id="contenu">
			<!-- Le contenu doit etre écrit ci-dessous -->
			<div id="fin_cmd">

				<?php

					// Gestion paiement
					switch ($_POST["meth_paie"]) {
						case 'espece':
							$type_paiement = "espece";
							$paiement = "FALSE" ;
							echo "Vous avez choisi de payer en espèces, merci de préparer le compte pour l'arrivée du serveur.";
							break;

						case 'carte':
							$type_paiement = "carte";
							$paiement = "FALSE" ;
							echo "Vous avez choisi de payer par carte, merci de préparer votre moyen de paiement pour l'arrivée du serveur (sans contact disponible).";
							break;

						case 'nfc':
							$type_paiement = "nfc";
							$paiement = "TRUE" ;
							echo "Veuillez approcher votre téléphone du module et suivre le texte qui n'est pas fait, car je ne le gère pas ici.";
							break;

						case 'paypal':
							$type_paiement = "paypal";
							$paiement = "TRUE" ;
							echo "Merci de remplir les informations suivantes :";
							break;

						case 'compte':
							$type_paiement = "compte";
							$paiement = "TRUE" ;
							echo "La somme va être débitée sur votre ardoise.";
							break;
						
						default:
							header('Location: commande.php');
		        			exit();
							break;
					}

					// Récupération du dernier indice de produit
					$query = "SELECT id_produit FROM PRODUIT ORDER BY id_produit";
					$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
					$num = pg_num_rows($result) - 1;
					$fin_produit = pg_fetch_result($result, $num, "id_produit");

					$query = "SELECT nextval('commande_id_commande_seq');";
                    $result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
                    $num_cmd = pg_fetch_result($result, 0, "nextval");

					// ajout bdd produit + sugg

					for ($a=0; $a <= $fin_produit ; $a++) { 
						//produit
						if (isset($_POST["prod_".$a])) {
							// Verif si un produit a été sélectioné
							if ( $_POST["prod_".$a] != 0) {
								// ajout bdd
								
								//echo "<br>".$a."  :  ".$_POST["prod_".$a];
								$nb_conso=$_POST["prod_".$a];

								$query = "INSERT INTO COMMANDE (conso, soiree, nombre, suggestion, etat, paiement, type_paiement, num_cmd) VALUES('$a', '$soiree', '$nb_conso', 'FALSE', 'commande', '$paiement', '$type_paiement', '$num_cmd')";
	                    		$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;

							}
						}
						// sugg
						if (isset($_POST["chx_sugg".$a])) {
							// ajout bdd
							
							//echo $a."  :  ".$_POST["chx_sugg".$a];

							$query = "INSERT INTO COMMANDE (conso, soiree, nombre, suggestion, etat, paiement, type_paiement, num_cmd) VALUES('$a', '$soiree', '1', 'TRUE', 'commande', '$paiement', '$type_paiement', '$num_cmd')";
	                    	$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;

							
						}

					}

					// recup des cmd
					$query = "SELECT DISTINCT num_cmd FROM COMMANDE WHERE etat!='LIVREE' AND etat!='ANNULEE' ORDER BY num_cmd ASC";
					$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
					$num = pg_num_rows($result);
					if ($num == 0) {
						echo "<br><br>Ceci est un bug, on ne doit pas faire ça !<br>";
					} 
					else {
						$i = 0;
						$temps = date("H:i:s");
						//echo $temps."<br>";
						while ($i < $num) {
							$num_cmd_rcp = pg_fetch_result($result, $i, "num_cmd");

							if ($num_cmd_rcp <= $num_cmd) {
							

								// recup des info de la cmd en cours
								$query2 = "SELECT DISTINCT id_commande, nom, temps, img, nombre FROM COMMANDE, PRODUIT WHERE num_cmd = '$num_cmd_rcp' AND id_produit = conso AND etat!='LIVREE' AND etat!='ANNULEE' ";
								$result2 = pg_query($link, $query2) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
								$num2 = pg_num_rows($result2);

								$j = 0;
								$temps_cmd = 0;
								//echo $temps_cmd;
								while ($j < $num2) {
									// Calcul du temps
									$temps_produit = pg_fetch_result($result2, $j, "temps");
									$nombre = pg_fetch_result($result2, $j, "nombre");
									$temps_cmd = date("H:i:s", (strtotime($temps_cmd) + ($temps_produit * $nombre)));
									//echo $temps_cmd;
									$j++;
								}

								$temps = date("H:i:s", (strtotime($temps)+strtotime($temps_cmd)));
							}
							$i++;
						}
					}


					// Affichage temps
					echo "<br><br>Temps* de préparation de votre commande  : ";
					echo date("H:i:s", (strtotime($temps_cmd)-3600));;
					echo "<br><br> Temps* d'attente avant livraison : ".$temps; 
				?> 
			</div>
			<div id="cmd_aff_bas"> 
				<?php
					echo "<br> * approximatif";
					echo "<br>Redirection automatique ( 10s )";
	                header ("Refresh: 10;URL= index.php");

				?>
			</div>
		</div>
	</body>
</html>
